Skip to main content
POST
Get Working Representation

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_id
string
required

ID of the workspace

peer_id
string
required

ID of the peer

Body

application/json

Options for getting the peer representation

session_id
string | null

Get the working representation within this session

target
string | null

Optional peer ID to get the representation for, from the perspective of this peer

search_query
string | null

Optional input to curate the representation around semantic search results

search_top_k
integer | null

Only used if search_query is provided. Number of semantic-search-retrieved observations to include in the representation

Required range: 1 <= x <= 100
search_max_distance
number | null

Only used if search_query is provided. Maximum distance to search for semantically relevant observations

Required range: 0 <= x <= 1
include_most_derived
boolean | null

Only used if search_query is provided. Whether to include the most derived observations in the representation

max_observations
integer | null
default:25

Only used if search_query is provided. Maximum number of observations to include in the representation

Required range: 1 <= x <= 100

Response

Successful Response

The response is of type Response Get Working Representation V2 Workspaces Workspace Id Peers Peer Id Representation Post · object.